UseSharedCacheResourceRequest (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: UseSharedCacheResourceRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class UseSharedCacheResourceRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceRequest

@Public @Unstable public abstract class UseSharedCacheResourceRequest extends Object

The request from clients to the `SharedCacheManager` that claims a resource in the shared cache.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UseSharedCacheResourceRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ApplicationId`
  `getAppId()`
  Get the `ApplicationId` of the resource to be used.
  `abstract String`
  `getResourceKey()`
  Get the `key` of the resource to be used.
  `abstract void`
  `setAppId(ApplicationId id)`
  Set the `ApplicationId` of the resource to be used.
  `abstract void`
  `setResourceKey(String key)`
  Set the `key` of the resource to be used.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UseSharedCacheResourceRequest

    public UseSharedCacheResourceRequest()

- ## Method Details

  - ### getAppId

    @Public @Unstable public abstract ApplicationId getAppId()
    Get the `ApplicationId` of the resource to be used.
    Returns:
      `ApplicationId`

  - ### setAppId

    @Public @Unstable public abstract void setAppId(ApplicationId id)
    Set the `ApplicationId` of the resource to be used.
    Parameters:
      `id` - `ApplicationId`

  - ### getResourceKey

    @Public @Unstable public abstract String getResourceKey()
    Get the `key` of the resource to be used.
    Returns:
      `key`

  - ### setResourceKey

    @Public @Unstable public abstract void setResourceKey(String key)
    Set the `key` of the resource to be used.
    Parameters:
      `key` - unique identifier for the resource